## ros-one-chomp-motion-planner 1.1.16-49jammy.20251208.0111

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-49jammy.20251208.0111) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Dec 2025 01:11:20 +0000

ros-one-chomp-motion-planner (1.1.16-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.15-0jammy) jammy; urgency=high

  * CHOMP: Fix handling of mimic joints (#3625 <https://github.com/ros-planning/moveit/issues/3625>)
  * Fix CHOMP segfault (#3621 <https://github.com/ros-planning/moveit/issues/3621>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.14-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 27 May 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.13-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.12-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 13 May 2023 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.11-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.10-0jammy) jammy; urgency=high

  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit/issues/3204>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.9-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.8-0jammy) jammy; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.7-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.5-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 May 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.4-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 May 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.3-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.2-0jammy) jammy; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.1-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.0-0jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.6-0jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.5-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.4-0jammy) jammy; urgency=high





## ros-one-chomp-motion-planner 1.1.16-49noble.20251023.1444

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(chomp_motion_planner)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  moveit_core
)
moveit_build_options()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/chomp_cost.cpp
  src/chomp_parameters.cpp
  src/chomp_trajectory.cpp
  src/chomp_optimizer.cpp
  src/chomp_planner.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-49noble.20251023.1444) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Oct 2025 14:44:15 +0000

ros-one-chomp-motion-planner (1.1.16-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.15-0noble) noble; urgency=high

  * CHOMP: Fix handling of mimic joints (#3625 <https://github.com/ros-planning/moveit/issues/3625>)
  * Fix CHOMP segfault (#3621 <https://github.com/ros-planning/moveit/issues/3621>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.14-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 27 May 2024 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.13-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.12-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 13 May 2023 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.11-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.10-0noble) noble; urgency=high

  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit/issues/3204>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.9-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.8-0noble) noble; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.7-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.5-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 May 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.4-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 May 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.3-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.2-0noble) noble; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.1-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.1.0-0noble) noble; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix calculation of potential (#1651 <https://github.com/ros-planning/moveit/issues/1651>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bence Magyar, Dave Coleman, Jens P, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.6-0noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.5-0noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-chomp-motion-planner (1.0.4-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-roscpp
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-one-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: chomp_motion_planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-chomp-motion-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-chomp-motion-planner 1.1.16-49noble.20251208.1158

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-49noble.20251208.1158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Dec 2025 11:58:06 +0000

## ros-one-chomp-motion-planner 1.1.16-50jammy.20260128.2133

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-50jammy.20260128.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 28 Jan 2026 21:33:13 +0000

## ros-one-chomp-motion-planner 1.1.16-50noble.20260128.2138

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-50noble.20260128.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 28 Jan 2026 21:38:43 +0000

## ros-one-chomp-motion-planner 1.1.16-51jammy.20260301.2127

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-51jammy.20260301.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 01 Mar 2026 21:27:15 +0000

## ros-one-chomp-motion-planner 1.1.16-51noble.20260301.2123

=== debian/changelog ===
ros-one-chomp-motion-planner (1.1.16-51noble.20260301.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 01 Mar 2026 21:23:25 +0000
